using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Media;

namespace SmartAquaViewer.Helper
{
    public static class RadioButtonHelper
    {
        public static readonly DependencyProperty PressedImageProperty =
         DependencyProperty.RegisterAttached(
             "PressedImage",
             typeof(ImageSource),
             typeof(RadioButtonHelper),
             new PropertyMetadata(null));

        public static void SetPressedImage(DependencyObject element, ImageSource value)
            => element.SetValue(PressedImageProperty, value);
        public static ImageSource GetPressedImage(DependencyObject element)
            => (ImageSource)element.GetValue(PressedImageProperty);

        public static readonly DependencyProperty UnPressedImageProperty =
        DependencyProperty.RegisterAttached(
            "UnPressedImage",
            typeof(ImageSource),
            typeof(RadioButtonHelper),
            new PropertyMetadata(null));

        public static void SetUnPressedImage(DependencyObject element, ImageSource value)
            => element.SetValue(UnPressedImageProperty, value);
        public static ImageSource GetUnPressedImage(DependencyObject element)
            => (ImageSource)element.GetValue(UnPressedImageProperty);
    }
}
